<?php
// Gendex Search Form
// Mod by Brian McFadyen
// Last Updated: Apr 8, 2008
//
// This script is designed to work with any version of TNG
// It is intended to be called from the advanced search page (searchform.php)
//
// It is called by the inclusion of a single include line near the bottom of that script   
//
// This script will periodically retrieve Darrin's TNG Gendex search page
// to determine the current number of databases and surnames
// Upon successful retrieval, it will modify this script and update the
// variables below with the current values.
//
// The frequency of update is managed by the "gen_check_days" variable
// The default of "10" will result in a script update if the most recent update
// was older than 10 days.
//
//
?>
<br/><hr align="left" width="400" size="1"><br/>
<p class="header"><?php echo $text[searchnames];?>&nbsp;(TNG Gendex)</p>
<span class="normal"><b>
<?php
	$gen_db = "613";
	$gen_dbnames = "5,526,732";
	$gen_checked = 1215041831;
	$gen_time = time();
	$gen_file = "gendexform.php";
	$gen_check_days = 10;
	$gen_check_time = $gen_check_days * 24 * 60 * 60;
	if (time() > ($gen_checked + $gen_check_time)) {
		$gen_url = "http://tngnetwork.lythgoes.net/";
		$gen_str = file_get_contents($gen_url);
		if( $gen_str != "" ){
			$gen_db = ereg_replace(".*[^0-9]([0-9]*) databases.*","\\1",$gen_str);
			$gen_dbnames = ereg_replace(".*and ([0-9,]*) names.*","\\1",$gen_str);
			$gen_local_file = file_get_contents($gen_file);
			$gen_new_file = ereg_replace("gen_db = \"[0-9]*\"","gen_db = \"$gen_db\"",$gen_local_file);
			$gen_new_file = ereg_replace("gen_dbnames = \"[0-9,]*\"","gen_dbnames = \"$gen_dbnames\"",$gen_new_file);
			$gen_new_file = ereg_replace("gen_checked = [0-9]*;","gen_checked = $gen_time;",$gen_new_file);
			if( $gen_handle = fopen($gen_file, 'w') ){
				fwrite($gen_handle, $gen_new_file);
				fclose($gen_handle);
			} else {
				echo "<br />Gendex Form note: Unable to update Script<br /><br />";
			}
		}
	};
	echo $gen_db . $text[gen_databases] . $gen_dbnames . $text[gen_lastnames];
?>
</b></span>
<form method="POST" action="http://tngnetwork.lythgoes.net/gdxsearch.php" target="_top" name="gdx">
<table>
  <tr>
	<td width="100"><span class="normal"><?php echo $text[lastname];?>:</span></td>
	<td><select name="ssearchtype" style="width: 180px;">
		 <option value="regular"><?php echo $text[contains];?></option>
		 <option value="exact"><?php echo $text[equals];?></option>
		  <option value="starts" selected><?php echo $text[startswith];?></option>
		  <option value="Usoundex"><?php echo $text[soundexof];?></option>
	    </select>
	</td>
	<td><input type="text" name="surname" value="<?php echo $mylastname; ?>"></td>
  </tr>
  <tr>
	<td><span class="normal"><?php echo $text[firstname];?>:</span></td>
	<td><select name="fsearchtype" style="width: 180px;">
		  <option value="regular"><?php echo $text[contains];?></option>
		 <option value="exact"><?php echo $text[equals];?></option>
		  <option value="starts" selected><?php echo $text[startswith];?></option>
		  <option value="Usoundex"><?php echo $text[soundexof];?></option>
	    </select>
	</td>
	<td><input type="text" name="firstname" value="<?php echo $myfirstname; ?>"></td>
  </tr>
  <tr>
  	<td width="400" colspan="3" align="left"><br/><input type="submit" value="<?php echo $text[search];?>" >&nbsp;</td>
  <br/>
  </tr>
</table>
</form>
